Bug 967295 - The list of OpenStack Networking security group rules is not readable
The list of OpenStack Networking security group rules is not readable
Status: CLOSED UPSTREAM
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-neutronclient (Show other bugs)
3.0
Unspecified Unspecified
low Severity low
: Upstream M3
: 4.0
Assigned To: Jakub Ruzicka
Ofer Blaut
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 08:05 EDT by Rami Vaknin
Modified: 2016-04-26 19:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-18 14:06:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1153766 None None None Never

  None (edit)
Description Rami Vaknin 2013-05-26 08:05:43 EDT
Version:
Grizzly on RHEL6.4, puddle 2013-05-24.3

Description:
The new OpenStack Networking security group rules are printed in non-friendly manner.


[root@puma10 ~(keystone_admin)]# quantum security-group-show dc3c6a17-b825-4a9f-8a1c-499c9e5de915
+----------------------+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| Field                | Value                                                                                                                                                                                                                                                                                                                                                            |
+----------------------+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+
| description          | default                                                                                                                                                                                                                                                                                                                                                          |
| id                   | dc3c6a17-b825-4a9f-8a1c-499c9e5de915                                                                                                                                                                                                                                                                                                                             |
| name                 | default                                                                                                                                                                                                                                                                                                                                                          |
| security_group_rules | {"remote_group_id": "dc3c6a17-b825-4a9f-8a1c-499c9e5de915", "direction": "ingress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "7d346a9d1689408db183924fda2ca9c7", "port_range_max": null, "security_group_id": "dc3c6a17-b825-4a9f-8a1c-499c9e5de915", "port_range_min": null, "ethertype": "IPv6", "id": "143d799a-3864-4671-b9d4-23d2b1daca42"} |
|                      | {"remote_group_id": "dc3c6a17-b825-4a9f-8a1c-499c9e5de915", "direction": "ingress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "7d346a9d1689408db183924fda2ca9c7", "port_range_max": null, "security_group_id": "dc3c6a17-b825-4a9f-8a1c-499c9e5de915", "port_range_min": null, "ethertype": "IPv4", "id": "41155a60-b41f-4658-a4cd-10382bd32611"} |
|                      | {"remote_group_id": null, "direction": "egress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "7d346a9d1689408db183924fda2ca9c7", "port_range_max": null, "security_group_id": "dc3c6a17-b825-4a9f-8a1c-499c9e5de915", "port_range_min": null, "ethertype": "IPv6", "id": "7a395d1e-2bd4-470c-b0f4-ee48d4ee0c81"}                                    |
|                      | {"remote_group_id": null, "direction": "egress", "remote_ip_prefix": null, "protocol": null, "tenant_id": "7d346a9d1689408db183924fda2ca9c7", "port_range_max": null, "security_group_id": "dc3c6a17-b825-4a9f-8a1c-499c9e5de915", "port_range_min": null, "ethertype": "IPv4", "id": "a44b08b4-cb10-4e2a-b089-4eb641601e09"}                                    |
| tenant_id            | 7d346a9d1689408db183924fda2ca9c7                                                                                                                                                                                                                                                                                                                                 |
+----------------------+------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------+


I think that the way they appear in the database is much more readable, maybe we should print them in a quite similar way (maybe with reduced fields):

mysql> select * from securitygrouprules;
+----------------------------------+--------------------------------------+--------------------------------------+--------------------------------------+-----------+-----------+----------+----------------+----------------+------------------+
| tenant_id                        | id                                   | security_group_id                    | remote_group_id                      | direction | ethertype | protocol | port_range_min | port_range_max | remote_ip_prefix |
+----------------------------------+--------------------------------------+--------------------------------------+--------------------------------------+-----------+-----------+----------+----------------+----------------+------------------+
| 7d346a9d1689408db183924fda2ca9c7 | 143d799a-3864-4671-b9d4-23d2b1daca42 | dc3c6a17-b825-4a9f-8a1c-499c9e5de915 | dc3c6a17-b825-4a9f-8a1c-499c9e5de915 | ingress   | IPv6      | NULL     |           NULL |           NULL | NULL             |
| 7d346a9d1689408db183924fda2ca9c7 | 41155a60-b41f-4658-a4cd-10382bd32611 | dc3c6a17-b825-4a9f-8a1c-499c9e5de915 | dc3c6a17-b825-4a9f-8a1c-499c9e5de915 | ingress   | IPv4      | NULL     |           NULL |           NULL | NULL             |
| 7d346a9d1689408db183924fda2ca9c7 | 7a395d1e-2bd4-470c-b0f4-ee48d4ee0c81 | dc3c6a17-b825-4a9f-8a1c-499c9e5de915 | NULL                                 | egress    | IPv6      | NULL     |           NULL |           NULL | NULL             |
| 7d346a9d1689408db183924fda2ca9c7 | a44b08b4-cb10-4e2a-b089-4eb641601e09 | dc3c6a17-b825-4a9f-8a1c-499c9e5de915 | NULL                                 | egress    | IPv4      | NULL     |           NULL |           NULL | NULL             |
+----------------------------------+--------------------------------------+--------------------------------------+--------------------------------------+-----------+-----------+----------+----------------+----------------+------------------+
Comment 6 Jakub Ruzicka 2013-11-18 14:06:39 EST
This comsetic issue has been reported upstream and must be solved upstream.

Note You need to log in before you can comment on or make changes to this bug.